<h2>home</h2>

   
<div class="current-measurement" ng-hide="currentTask == null">
    <div class="row">
      <div class="col-md-6 col-md-offset-3">
        <h1>Current:
          <strong>{{currentTask.taskName}}</strong>
        </h1>
        <div ng-controller="StopWatchCtrl">
            <h2 id="clock">{{timeElapsed | timelapse}}</h2>
            <button ng-click='start()' ng-hide="running == true" id="start-clock-button" class="clock-button btn btn-success btn-lg btn-block">Start</button>
            <button ng-click='stop()' ng-hide="running == false" id="stop-clock-button" class="clock-button btn btn-danger btn-lg btn-block">Pause</button>
        </div>
      </div>
    </div>
  </div>
 

<!-- New Task -->
<div class="new-task">
    <div class="row">
      <div class="col-md-6 col-md-offset-3">
        <form ng-submit="startNewTask(newTask)">
          <input id="new-measurement-input" ng-model="newTask.taskName" type="text" class="form-control input-lg" placeholder="Enter the name of the task and press enter">
          <input type="submit" id="new-measurement-submit" value="Submit" />
        </form>
      </div>
    </div>
  </div>
  <!-- Recent Tasks -->
<div class="recent-tasks" ng-hide="tasks.length == 0">
    <div class="row">
      <div class="col-md-8 col-md-offset-2">
        <h3>Recent Tasks</h3>
        <table class="table">
          <thead>
            <th class="col-md-4">Task</th>
            <th>Total Time Today</th>
          </thead>
          <tbody>
            <tr ng-repeat="task in tasks">
              <td>
                <strong ng-hide="editing" ng-click="editing = true">{{task.taskName}}</strong>
                <form ng-show="editing" ng-submit="editing = false" class="form-inline" style="margin:0;">
                  <input type="text" ng-model="task.taskName" placeholder="Name of the task" class="form-control" ng-required/>
                  <button class="btn btn-success" type="submit">OK</button>
                </form>
              </td>
              <td>{{task.taskMeasures[task.taskMeasures.length-1].timeElapsed | timelapse }}</td>
              <td><a ng-click="startNewTask(task)" class="btn btn-default btn-s btn-info pull-right">Start Again</a></td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  